require( "scripts/style.lua" );

SliderFont = {
  standardFont,
  16,
  WhiteColor
};


MakeDialog
{
	-- Name the modal dialog
	name="levelselectmenu",
	Bitmap
	{
		image="backgrounds/levelselect",
		x = kCenter,
		y = kCenter,
		label = "lblgametype",
		
		OptionsWindow
		{
			x=0,y=0,w=kMax,h=kMax,
			
				
				
				Text
				{
					font = WhiteButtonFont,
					name = "lblgametype",
					x=50,
					y=25,
					w=200,
					h=50,
					-- label = "lblgametype"
				};
				Text
			{
				font = SliderFont,
				name = "levelstart",
				x=50,y=180,w=50,h=50,
				flags = kHAlignCenter + kVAlignCenter,
				label = "levelselect"
			};
			
			Text
			{
				font = SliderFont,
				name = "speedstart",
				x=50,y=230,w=50,h=50,
				flags = kHAlignCenter + kVAlignCenter,
				label = "speedselect"
			};
			
				SetStyle( ButtonStyle ),
				Button
				{
					x = kCenter+80,
					y = kMax-200,
					name="play",
					label="play",
					-- MenuButtonLabel("play"),
					type = kPush,
					command=
						function()
							StopMenuMusic();
							SwapToModal("scripts/game.lua");
						end
				},
				
				SetStyle(ButtonStyle),
			Button
			{
				x = kCenter-80,
				y = kMax-200,
				name="back",
				label="back",
				type = kPush,
				command =
					function()
						SaveVolumes();
						PopModal("levelselectmenu");
					end
			},
				
				SetStyle(LevelButtonStyle),
				BeginGroup(),
				Button{
					name="level1",
					x=100,
					y=175,
					w=50,
					Text
					{
						font = WhiteButtonFont,
						name = "level1",
						x=28,
						y=25,
						w=kMax,
						h=kMax,
						flags = kHAlignLeft + kVAlignTop,
						label = "l1",
					};
					command =
						function()
							SetStartLevel(1);
						end

				},
				Button{
					name="level2",
					x=150,
					y=175,
					w=50,
					Text
					{
						font = WhiteButtonFont,
						name = "level2",
						x=28,
						y=25,
						w=kMax,
						h=kMax,
						flags = kHAlignLeft + kVAlignTop,
						label = "l2",
					};
					command =
						function()
							SetStartLevel(2);
						end
				},
				Button{
					name="level3",
					x=200,
					y=175,
					w=50,
					Text
					{
						font = WhiteButtonFont,
						name = "level3",
						x=28,
						y=25,
						w=kMax,
						h=kMax,
						flags = kHAlignLeft + kVAlignTop,
						label = "l3",
					};
					command =
						function()
							SetStartLevel(3);
						end
				},
				Button{
					name="level4",
					x=250,
					y=175,
					w=50,
					Text
					{
						font = WhiteButtonFont,
						name = "level4",
						x=28,
						y=25,
						w=kMax,
						h=kMax,
						flags = kHAlignLeft + kVAlignTop,
						label = "l4",
					};
					command =
						function()
							SetStartLevel(4);
						end
				},
				Button{
					name="level5",
					x=300,
					y=175,
					w=50,
					Text
					{
						font = WhiteButtonFont,
						name = "level5",
						x=28,
						y=25,
						w=kMax,
						h=kMax,
						flags = kHAlignLeft + kVAlignTop,
						label = "l5",
					};
					command =
						function()
							SetStartLevel(5);
						end
				},
				BeginGroup(),
				Button{
					name="speed1",
					x=100,
					y=225,
					w=80,
					Text
					{
						font = WhiteButtonFont,
						name = "speed1",
						x=54,
						y=25,
						w=kMax,
						h=kMax,
						flags = kHAlignLeft + kVAlignTop,
						label = "s1",
					};
					command =
						function()
							SetStartSpeed(0);
						end

				},
				Button{
					name="speed2",
					x=180,
					y=225,
					w=85,
					Text
					{
						font = WhiteButtonFont,
						name = "speed2",
						x=54,
						y=25,
						w=kMax,
						h=kMax,
						flags = kHAlignLeft + kVAlignTop,
						label = "s2",
					};
					command =
						function()
							SetStartSpeed(1);
						end

				},
				Button{
					name="speed3",
					x=260,
					y=225,
					w=85,
					Text
					{
						font = WhiteButtonFont,
						name = "speed3",
						x=54,
						y=25,
						w=kMax,
						h=kMax,
						flags = kHAlignLeft + kVAlignTop,
						label = "s3",
					};
					command =
						function()
							SetStartSpeed(2);
						end

				},
			
			
			
			
			

			
			
			
		},
	},
}