require( "scripts/style.lua" );

-- The "Twodemos" game handles its messages in Lua, unlike the "TGame" game
-- which handles them in C++.
function SendGameMessage( msg )
	if msg=="quit" then
		QuitToMainMenu();
	end
end

MakeDialog
{
	Bitmap
	{
		name="backgroundimage",
		image="backgrounds/gamebackground",
		Text
		{
			font = WhiteButtonFont,
			name = "lblgamemode",
			x=500,y=280,w=160,h=50,
			flags = kHAlignRight + kVAlignCenter,
			-- label = "lblgamemode"
		};
		Text
		{
			font = WhiteButtonFont,
			name = "lblspeed",
			x=660,y=280,w=90,h=50,
			flags = kHAlignRight+ kVAlignCenter,
			-- label = "lblspeed"
		};
		Text
		{
			font = WhiteButtonFont,
			name = "lblscore",
			x=655,y=40,w=180,h=50,
			flags = kHAlignLeft + kVAlignCenter,
			-- label = "lblscore"
		};
		Text
		{
			font = WhiteButtonFont,
			name = "lbllevel",
			x=678,y=115,w=80,h=50,
			flags = kHAlignLeft + kVAlignCenter,
			-- label = "lbllevel"
		};
		Text
		{
			font = WhiteButtonFont,
			name = "lbltime",
			x=611,y=395,w=100,h=50,
			flags = kHAlignLeft + kVAlignCenter,
			-- label = "lbltime"
		};
		Text
		{
			font = WhiteButtonFont,
			name = "lblconnections",
			x=678,y=190,w=75,h=50,
			flags = kHAlignLeft + kVAlignCenter,
			-- label = "lblconnections"
		};
		Game
		{
			x=242,
			y=48,
			w=330, h=500
		},
		Button
		{
			x=650,
			y=-60,
			font = StandardButtonFont,
			graphics = StandardButtonGraphics,
			name="pause",
			label="pause",
			type = kPush,
			command=
				function()
					DoModal("scripts/pause.lua");
				end
		},
		
	},
}