require( "scripts/style.lua" );

kButtonSpacing = 60;	-- Put our buttons 60 pixels apart
kButtonY = kCenter-90;	-- Three buttons means center 60 pixels above the center

MakeDialog
{
	-- Name the modal dialog
	name="pausemenu",
	Bitmap
	{
		image="backgrounds/pause",
		x=kCenter,
		y=kCenter,

		SetStyle(ButtonStyle),
		Button
		{
			x=kCenter,
			y=kButtonY,
			label="resume",
			command=
				function()
					Unpause();
				end,
			close = true	-- Just close this window
		},

		
		Button
		{
			x=kCenter,
			y=kButtonY + (kButtonSpacing * 1),
			name="help",
			label="help",
			command=
				function()
					DoModal("scripts/help.lua");
				end
		},
		
		Button
		{
			x=kCenter,
			y=kButtonY + (kButtonSpacing * 2),
			label="options",
			command=
				function()
					-- Pop up an options screen
					DoModal("scripts/options.lua");
				end
		},
		
		Button
		{
			x=kCenter,
			y=kButtonY + (kButtonSpacing * 3),
			label="quit",
			command=
				function()
					-- Our game provides this call--it's not a Playground
					-- call.
                    SendGameMessage( "quit" );
				end
		},
	},
}